## libfduserdata 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(fduserdata
		VERSION 0.0.1
		DESCRIPTION "associate file descriptors with user defined data"
		HOMEPAGE_URL "https://github.com/rd235/libfduserdata"
		LANGUAGES C)

include(GNUInstallDirs)
add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
if (PROJECT_INCLUDEDIR)
       include_directories(${PROJECT_INCLUDEDIR})
       execute_process(COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/fduserdata.h ${PROJECT_INCLUDEDIR}/.)
endif (PROJECT_INCLUDEDIR)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

set(FDUSERDATA_SOURCES fduserdata.c)
add_library(fduserdata SHARED ${FDUSERDATA_SOURCES})
target_link_libraries(fduserdata pthread)

set_target_properties(fduserdata PROPERTIES VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

configure_file(fduserdata.pc.in fduserdata.pc @ONLY)

install(TARGETS fduserdata LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES fduserdata.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fduserdata.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

add_subdirectory(man)

=== debian/changelog ===
libfduserdata (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #965314)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 11:58:21 +0200

libfduserdata (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 17:05:19 +0200

=== debian/control ===
Source: libfduserdata
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libfduserdata.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libfduserdata
Rules-Requires-Root: no

Package: libfduserdata-dev
Section: libdevel
Architecture: any
Depends: libfduserdata0 (= ${binary:Version}), ${misc:Depends}
Description: associate file descriptors with user defined data (devel)
 This small library permits one to associate user defined data to file
 descriptors.  This library is thread safe.
 .
 This package contains the development files used for C programs.

Package: libfduserdata0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: associate file descriptors with user defined data (library)
 This small library permits one to associate user defined data to file
 descriptors.  This library is thread safe.
 .
 This package contains the shared library.

## libfduserdata 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 project(fduserdata
-		VERSION 0.0.1
+		VERSION 0.1.2
 		DESCRIPTION "associate file descriptors with user defined data"
 		HOMEPAGE_URL "https://github.com/rd235/libfduserdata"
 		LANGUAGES C)
@@ -31,3 +31,6 @@
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 add_subdirectory(man)
+
+add_custom_target(uninstall
+  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
libfduserdata (0.1.2-2) unstable; urgency=medium

  * Merge Janitor bot proposal

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 19:16:18 +0100

libfduserdata (0.1.2-1) unstable; urgency=medium

  * New Upstream Release
  * d/control: Standard version bumped to 4.5.1

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 18:26:59 +0100

libfduserdata (0.1-3) UNRELEASED; urgency=low

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 02 Sep 2020 11:28:04 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libfduserdata.git

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/rd235/libfduserdata/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
